## org.eclipse.amp.agf.gef
Class NetworkConnection

    java.lang.Object
      org.eclipse.amp.agf.gef.NetworkConnection

    public class NetworkConnection

extends java.lang.Object

Constructor Summary
`NetworkConnection(java.lang.Object source, java.lang.Object target)`

Method Summary
`java.lang.Object` `getSource()`
`java.lang.Object` `getTarget()`
`void` `setSource(java.lang.Object source)`
`void` `setTarget(java.lang.Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkConnection

    public NetworkConnection(java.lang.Object source,
                             java.lang.Object target)

Method Detail

### getSource

    public java.lang.Object getSource()

### setSource

    public void setSource(java.lang.Object source)

### getTarget

    public java.lang.Object getTarget()

### setTarget

    public void setTarget(java.lang.Object target)